org.richfaces.component

## Class UIQueue

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractQueue
      - - org.richfaces.component.UIQueue

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIQueue
      extends AbstractQueue

  The <a4j:queue> component manages the JSF queue of Ajax requests. It provides additional options for a finer control of request processing.

  Author:
    Nick Belaevski

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIQueue.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.AbstractQueue

      `GLOBAL_QUEUE_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIQueue()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFamily()`
    `String` | `getName()` Specifies the name for the queue, allowing it to be referenced via the name attribute of the attachQueue component
    `String` | `getOnbeforedomupdate()` The client-side script method to be called before DOM is updated
    `String` | `getOncomplete()` The client-side script method to be called after the request is completed
    `String` | `getOnerror()` The client-side script method to be called when an error has occurred during Ajax communications
    `String` | `getOnrequestdequeue()` The client-side script method to be called after the request is removed from the queue
    `String` | `getOnrequestqueue()` The client-side script method to be called when the request is added to the queue
    `String` | `getOnsubmit()` The client-side script method to be called before an ajax request is submitted
    `int` | `getRequestDelay()` Attribute defines the time (in ms) the request will be waiting in the queue before it is ready to be sent.
    `String` | `getStatus()` Name of the request status component that will indicate the status of the Ajax request going through the queue
    `boolean` | `isIgnoreDupResponses()` Attribute allows you to ignore an Ajax response produced by a request if the newest 'similar' request is in the queue already.
    `void` | `setIgnoreDupResponses(boolean ignoreDupResponses)`
    `void` | `setName(String name)`
    `void` | `setOnbeforedomupdate(String onbeforedomupdate)`
    `void` | `setOncomplete(String oncomplete)`
    `void` | `setOnerror(String onerror)`
    `void` | `setOnrequestdequeue(String onrequestdequeue)`
    `void` | `setOnrequestqueue(String onrequestqueue)`
    `void` | `setOnsubmit(String onsubmit)`
    `void` | `setRequestDelay(int requestDelay)`
    `void` | `setStatus(String status)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIQueue

          public UIQueue()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### isIgnoreDupResponses

          public boolean isIgnoreDupResponses()

      Description copied from class: `AbstractQueue`
      Attribute allows you to ignore an Ajax response produced by a request if the newest 'similar' request is in the queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows avoiding unnecessary updates on the client side if the response isn't actual now
      Specified by:
        `isIgnoreDupResponses` in class `AbstractQueue`

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(boolean ignoreDupResponses)

    - #### getName

          public String getName()

      Description copied from class: `AbstractQueue`
      Specifies the name for the queue, allowing it to be referenced via the name attribute of the attachQueue component
      Specified by:
        `getName` in class `AbstractQueue`

    - #### setName

          public void setName(String name)

    - #### getOnbeforedomupdate

          public String getOnbeforedomupdate()

      Description copied from class: `AbstractQueue`
      The client-side script method to be called before DOM is updated
      Specified by:
        `getOnbeforedomupdate` in class `AbstractQueue`

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(String onbeforedomupdate)

    - #### getOncomplete

          public String getOncomplete()

      Description copied from class: `AbstractQueue`
      The client-side script method to be called after the request is completed
      Specified by:
        `getOncomplete` in class `AbstractQueue`

    - #### setOncomplete

          public void setOncomplete(String oncomplete)

    - #### getOnerror

          public String getOnerror()

      Description copied from class: `AbstractQueue`
      The client-side script method to be called when an error has occurred during Ajax communications
      Specified by:
        `getOnerror` in class `AbstractQueue`

    - #### setOnerror

          public void setOnerror(String onerror)

    - #### getOnrequestdequeue

          public String getOnrequestdequeue()

      Description copied from class: `AbstractQueue`
      The client-side script method to be called after the request is removed from the queue
      Specified by:
        `getOnrequestdequeue` in class `AbstractQueue`

    - #### setOnrequestdequeue

          public void setOnrequestdequeue(String onrequestdequeue)

    - #### getOnrequestqueue

          public String getOnrequestqueue()

      Description copied from class: `AbstractQueue`
      The client-side script method to be called when the request is added to the queue
      Specified by:
        `getOnrequestqueue` in class `AbstractQueue`

    - #### setOnrequestqueue

          public void setOnrequestqueue(String onrequestqueue)

    - #### getOnsubmit

          public String getOnsubmit()

      Description copied from class: `AbstractQueue`
      The client-side script method to be called before an ajax request is submitted
      Specified by:
        `getOnsubmit` in class `AbstractQueue`

    - #### setOnsubmit

          public void setOnsubmit(String onsubmit)

    - #### getRequestDelay

          public int getRequestDelay()

      Description copied from class: `AbstractQueue`
      Attribute defines the time (in ms) the request will be waiting in the queue before it is ready to be sent.
      Specified by:
        `getRequestDelay` in class `AbstractQueue`

    - #### setRequestDelay

          public void setRequestDelay(int requestDelay)

    - #### getStatus

          public String getStatus()

      Description copied from class: `AbstractQueue`
      Name of the request status component that will indicate the status of the Ajax request going through the queue
      Specified by:
        `getStatus` in class `AbstractQueue`

    - #### setStatus

          public void setStatus(String status)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.